﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.EventBus
{
    [AttributeUsage(AttributeTargets.Class)]
    public class HandlerInjectAttribute : Attribute
    {
        /// <summary>
        /// 适用范围
        /// </summary>
        public EAppScope AppScopes { get; set; }

        /// <summary>
        /// 是否启用
        /// </summary>
        public bool Enable { get; set; } = true;
    }
}
